Subject: Re: [PATCH v3 net-next 07/12] net: ethernet: Add helper to remove a supported link mode

From: Andrew Lunn <[email-masked]>
Date: Thu, 20 Sep 2018 14:51:06 +0200

> eth0: no link
>   registers for MII PHY 0: 
>     1140 7949 0022 1622 0981 c1e1 000d 0000

Hi Simon

The ID registers 0022 1622 indicate this is a Micrel KSZ9031.
Are you using the micrel PHY driver?

> I note a difference in the 3rd line of hex output: 7002 vs 6002
> but I am unsure if that is relevant.

Register 20, or 0x14. The datasheet says "Reserved" and there is no
description given :-(

I will decode the other registers and see if i can find anything.

    Andrew